careCycle
CustomersRelationships

Make customer the phone number's primary

Make this customer the primary for their phone number, for example when the main contact of a household changes. Inbound calls, texts and outreach for the number then go to this customer. The previous primary stays a customer, related to the number, and the number's text history moves to this customer.

POST
/v2/customers/{id}/make-primary

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Customer who becomes the primary for their number

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Request Body

application/json

POST /v2/customers/:id/make-primary Request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.carecycle.ai/v2/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/make-primary" \  -H "Content-Type: application/json" \  -d '{}'
{
  "customer": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "createdAt": "2019-08-24T14:15:22Z",
    "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
    "updatedAt": "2019-08-24T14:15:22Z",
    "updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e",
    "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
    "clientCustomerId": "string",
    "status": "Lead",
    "qualificationStatus": "Qualified",
    "intent": "High",
    "isDecisionMaker": true,
    "disqualificationReason": "string",
    "productInterest": "string",
    "productFamily": "string",
    "salutation": "string",
    "suffix": "string",
    "firstName": "string",
    "middleName": "string",
    "lastName": "string",
    "preferredName": "string",
    "callerId": "string",
    "isPhonePrimary": true,
    "lineType": "landline",
    "email": "string",
    "dateOfBirth": "2019-08-24",
    "language": "string",
    "ethnicity": "string",
    "gender": "Male",
    "maritalStatus": "Single",
    "heightInches": -2147483648,
    "weightPounds": -2147483648,
    "smokerStatus": true,
    "postalCode": "string",
    "timezone": "string",
    "state": "string",
    "city": "string",
    "county": "string",
    "address": "string",
    "address2": "string",
    "mbiNumber": "string",
    "medicareCard": true,
    "medicarePartADate": "2019-08-24",
    "medicarePartBDate": "2019-08-24",
    "medicaid": true,
    "medicaidNumber": "string",
    "socialSecurityDisability": true,
    "veteran": true,
    "vaNumber": "string",
    "healthSherpaCustomerId": "string",
    "householdIncome": -2147483648,
    "annualIncome": -2147483648,
    "filingStatus": "string",
    "dependentCount": -2147483648,
    "subsidyAmount": -2147483648,
    "subsidyEligible": true,
    "existingCoverage": "None",
    "existingCoveragePlanName": "string",
    "existingCoverageCarrier": "string",
    "desiredCoverageStartDate": "2019-08-24",
    "currentSourceId": "92ff85a4-bd9b-47e4-9ade-cbb65530f3f4",
    "originalSourceId": "a3edc39e-7854-4380-8541-1f199004a6a0",
    "agentName": "string",
    "agentNpn": -2147483648,
    "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
    "carrierName": "string",
    "planName": "string",
    "planCode": "string",
    "enrollmentDate": "2019-08-24",
    "effectiveDate": "2019-08-24",
    "carrierAssignedCustomerId": "string",
    "suppressed": true,
    "doNotCall": true,
    "doNotSMS": true,
    "doNotEmail": true,
    "doNotMail": true,
    "lastContactedAt": "2019-08-24T14:15:22Z",
    "convertedAt": "2019-08-24T14:15:22Z",
    "testCustomer": true,
    "ssnLast4": "string"
  },
  "previousPrimary": null
}
{
  "message": "string",
  "code": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ],
  "failedRecords": [
    {
      "index": 0,
      "phoneNumber": "string",
      "firstName": "string",
      "lastName": "string",
      "externalId": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}